<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Class org.apache.nutch.metadata.MetaWrapper (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.nutch.metadata.MetaWrapper (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/metadata/class-use/MetaWrapper.html" target="_top">Frames</a></li>
<li><a href="MetaWrapper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.nutch.metadata.MetaWrapper" class="title">Uses of Class<br>org.apache.nutch.metadata.MetaWrapper</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata">MetaWrapper</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.segment">org.apache.nutch.segment</a></td>
<td class="colLast">
<div class="block">A segment stores all data from on generate/fetch/update cycle:
 fetch list, protocol status, raw content, parsed content, and extracted outgoing links.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.segment">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata">MetaWrapper</a> in <a href="../../../../../org/apache/nutch/segment/package-summary.html">org.apache.nutch.segment</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/segment/package-summary.html">org.apache.nutch.segment</a> that return types with arguments of type <a href="../../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata">MetaWrapper</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/RecordReader.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">RecordReader</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata">MetaWrapper</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SegmentMerger.ObjectInputFormat.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/segment/SegmentMerger.ObjectInputFormat.html#createRecordReader-org.apache.hadoop.mapreduce.InputSplit-org.apache.hadoop.mapreduce.TaskAttemptContext-">createRecordReader</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/InputSplit.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">InputSplit</a>&nbsp;split,
                  <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/TaskAttemptContext.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">TaskAttemptContext</a>&nbsp;context)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/RecordWriter.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">RecordWriter</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata">MetaWrapper</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SegmentMerger.SegmentOutputFormat.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/segment/SegmentMerger.SegmentOutputFormat.html#getRecordWriter-org.apache.hadoop.mapreduce.TaskAttemptContext-">getRecordWriter</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/TaskAttemptContext.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">TaskAttemptContext</a>&nbsp;context)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../org/apache/nutch/segment/package-summary.html">org.apache.nutch.segment</a> with parameters of type <a href="../../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata">MetaWrapper</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SegmentMerger.SegmentMergerMapper.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/segment/SegmentMerger.SegmentMergerMapper.html#map-org.apache.hadoop.io.Text-org.apache.nutch.metadata.MetaWrapper-org.apache.hadoop.mapreduce.Mapper.Context-">map</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;key,
   <a href="../../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata">MetaWrapper</a>&nbsp;value,
   <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Mapper.Context.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">Mapper.Context</a>&nbsp;context)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../org/apache/nutch/segment/package-summary.html">org.apache.nutch.segment</a> with type arguments of type <a href="../../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata">MetaWrapper</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SegmentMerger.SegmentMergerReducer.</span><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/segment/SegmentMerger.SegmentMergerReducer.html#reduce-org.apache.hadoop.io.Text-java.lang.Iterable-org.apache.hadoop.mapreduce.Reducer.Context-">reduce</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;key,
      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata">MetaWrapper</a>&gt;&nbsp;values,
      <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Reducer.Context.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">Reducer.Context</a>&nbsp;context)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../org/apache/nutch/metadata/MetaWrapper.html" title="class in org.apache.nutch.metadata">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/metadata/class-use/MetaWrapper.html" target="_top">Frames</a></li>
<li><a href="MetaWrapper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
